Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.asSyntax
Class SourceInfo

    java.lang.Object
      jason.asSyntax.SourceInfo

All Implemented Interfaces:
  java.io.Serializable

    public class SourceInfo

extends java.lang.Object
implements java.io.Serializable

Store information about the file source of some term (atom, literal, etc). (immutable objects)

See Also:
  Serialized Form

Constructor Summary
`SourceInfo(SourceInfo o)`
`SourceInfo(java.lang.String file, int beginLine)`
`SourceInfo(java.lang.String file, int beginLine, int endLine)`

Method Summary
`SourceInfo` | `clone()`
`int` | `getBeginSrcLine()`
`int` | `getEndSrcLine()`
`java.lang.String` | `getSrcFile()`
`int` | `getSrcLine()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SourceInfo

    public SourceInfo(java.lang.String file,
                      int beginLine)

### SourceInfo

    public SourceInfo(java.lang.String file,
                      int beginLine,
                      int endLine)

### SourceInfo

    public SourceInfo(SourceInfo o)

Method Detail

### clone

    public SourceInfo clone()

  Overrides:
    `clone` in class `java.lang.Object`

### getSrcFile

    public java.lang.String getSrcFile()

### getSrcLine

    public int getSrcLine()

### getBeginSrcLine

    public int getBeginSrcLine()

### getEndSrcLine

    public int getEndSrcLine()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD